<?php
/**
 * $Horde: wicked/history.php,v 1.12 2005/01/03 14:35:46 jan Exp $
 *
 * Copyright 2003-2005 Tyler Colbert <tyler@colberts.us>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('WICKED_BASE', dirname(__FILE__));
require_once WICKED_BASE . '/lib/base.php';

$page = &Page::getCurrentPage();
if (is_a($page, 'PEAR_Error')) {
    $notification->push(_("Internal error viewing requested page"), 'horde.error');
    header('Location: ' . Horde::applicationUrl('display.php', true));
    exit;
}

if (!$page->allows(WICKED_MODE_HISTORY)) {
    /* Redirect to display page & force it to display error. */
    $url = Horde::applicationUrl('display.php', true);
    $url = Util::addParameter($url, 'page', $page->pageName());
    $url = Util::addParameter($url, 'actionID', 'history');
    header('Location: ' . $url);
    exit;
}

$actionID = Util::getFormData('actionID');
switch ($actionID) {
case 'remove':
    if ($page->allows(WICKED_MODE_REMOVE)) {
        $version = Util::getFormData('version');
        if (empty($version)) {
            $page->removeAllVersions();
            /* Redirect to home page. */
            $url = Horde::applicationUrl('display.php',true);
            header('Location: ' . $url);
            exit;
        } else {
            $page->removeVersion($version);
        }
    } 
    break;
}

$title = sprintf(_("History of %s"), $page->pageName());
require WICKED_TEMPLATES . '/common-header.inc';
require WICKED_TEMPLATES . '/menu.inc';
$page->render(WICKED_MODE_HISTORY);
require $registry->get('templates', 'horde') . '/common-footer.inc';
