<?php
/**
 * Wicked Page class for old versions of pages.
 *
 * $Horde: wicked/lib/Page/StandardPage/StdHistoryPage.php,v 1.13 2004/07/31 02:33:54 eraserhd Exp $
 *
 * @author  Tyler Colbert <tyler-hordeml@colberts.us>
 * @version $Revision: 1.13 $
 * @package Wicked
 */
class StdHistoryPage extends StandardPage {

    /**
     * Display modes supported by this page.
     * @var array $supportedModes
     */
    var $supportedModes = array(
        WICKED_MODE_DISPLAY => true,
        WICKED_MODE_EDIT => false,
        WICKED_MODE_REMOVE => true,
        WICKED_MODE_HISTORY => true,
        WICKED_MODE_DIFF => true,
        WICKED_MODE_LOCKING => false);

    /**
     * Construct a standard history page class to represent an old
     * version of a wiki page.
     *
     * @param string  $pagename    The name of the page to load.
     * @param integer $version     The version of the page to load.
     * @param boolean $autocreate  Create the page automatically if it doesn't exist
     *                             and we have edit permissions? Defaults to false.
     */
    function StdHistoryPage($pagename, $version = null, $autocreate = false)
    {
        if (empty($version)) {
            parent::StandardPage($pagename, $autocreate);
            return;
        }

        // Retrieve the version.
        global $wicked;
        $pages = $wicked->retrieveHistory($pagename, $version);

        // If it didnt find one, return an error.
        if (empty($pages[0])) {
            $GLOBALS['notification']->push('History page not found');
        } else {
            $this->_page = $pages[0];
        }
    }

    function isOld()
    {
        return true;
    }

    function pageUrl($linkpage = 'display.php', $actionId = null)
    {
        $url = Horde::applicationUrl($linkpage);
        $url = Util::addParameter($url, 'page', $this->pageName());
        $url = Util::addParameter($url, 'version', $this->version());
        if (!is_null($actionId)) {
            $url = Util::addParameter($url, 'actionID', $actionId);
        }
        return $url;
    }

}
