<?php
/**
 * This class renders an inline image.
 *
 * $Horde: wicked/lib/Text_Wiki/Render/Xhtml/Image.php,v 1.4 2004/11/09 13:31:25 eraserhd Exp $
 *
 * @package Wicked
 */
class Text_Wiki_Render_Xhtml_Image extends Text_Wiki_Render {

    /**
    * 
    * Renders a token into text matching the requested format.
    * 
    * @access public
    * 
    * @param array $options The "options" portion of the token (second
    * element).
    * 
    * @return string The text rendered from the token options.
    * 
    */
    
    function token($options)
    {
        if (preg_match(',://,', $options['src'])) {
            $src = '"' . htmlspecialchars($options['src'], ENT_QUOTES,
                                          NLS::getCharset()) . '"';
        } elseif ($options['src']{0} == '/') {
            $src = '"' .  $this->getConf('base', '/') .
                   $options['src'] . '"';
        } else {
            $params = array('page' => Util::getFormData('page'),
                            'mime' => '1',
                            'file' => $options['src']);
            $url = Util::addParameter(Horde::applicationUrl('attachment.php'),
                                      $params);
            $src = '"' . htmlspecialchars($url, ENT_QUOTES, NLS::getCharset())
                   . '"';
            $src = '"' . $url . '"';
        }
            
        if (isset($options['attr']['link'])) {
            // this image has a link

            if (strpos($options['attr']['link'], '://')) {
                // it's a URL
                $href = $options['attr']['link'];
            } else {
                $href = $this->wiki->getRenderConf('xhtml', 'wikilink',
                                                   'view_url') .
                        $options['attr']['link'];
            }
        } else {
            // image is not linked
            $href = null;
        }
            
        // unset these so they don't show up as attributes
        unset($options['attr']['link']);
        
        $attr = '';
        $alt = false;
        foreach ($options['attr'] as $key => $val) {
            if (strtolower($key) == 'alt') {
                $alt = true;
            }
            $attr .= " $key=\"$val\"";
        }
            
        // always add an "alt" attribute per Stephane Solliec
        if (! $alt) {
            $attr .= ' alt="' . basename($options['src']) . '"';
        }
        
        if ($href) {
            return "<a target=\"_blank\" href=\"$href\"><img src=$src$attr/></a>";
        } else {
            return "<img src=$src$attr/>";
        }
    }
}
